<?php
session_start();
$uid = $_SESSION['id'];
/*
 * DataTables example server-side processing script.
 *
 * Please note that this script is intentionally extremely simple to show how
 * server-side processing can be implemented, and probably shouldn't be used as
 * the basis for a large complex system. It is suitable for simple use cases as
 * for learning.
 *
 * See http://datatables.net/usage/server-side for full details on the server-
 * side processing requirements of DataTables.
 *
 * @license MIT - http://datatables.net/license_mit
 */
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */
 
// DB table to use
$table = 'objects';
// Table's primary key
$primaryKey = 'id';
 
// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array(
        'db'        => 'qrcode',
        'dt'        => 0,
        'formatter' => function( $d, $row ) {
            return "<a href='#' data-toggle='modal' class='qr' data-target='#qrModal' data-qrlocation ='qrcodes/$d'><img src='qrcodes/$d' width='100px'></a>";
        }
    ),
    array(
        'db'        => 'id',
        'dt'        => 1,
        'formatter' => function( $d, $row ) {
            $url = "https://" . $_SERVER['HTTP_HOST'];
            $path = explode("/",$_SERVER['REQUEST_URI']);
            $lastFolder = array_splice($path, -2);
            $furl = $url.implode("/",$path).'/viewAR.php'; 
            return "<button onclick='myFunction$d()' style='width:200px;height:100px;background:transparent;border:none;'><textarea style='width:200px;height:100px;' id='myInput$d'><iframe width='100%' height='100%' src='$furl?id=$d' frameborder='0'></iframe></textarea></button>
									<script>
										function myFunction$d() {
  											var copyText = document.getElementById('myInput$d');
  											copyText.select();
  											copyText.setSelectionRange(0, 99999)
  											document.execCommand('copy');
										}
									</script>";
        }
    ), 
    array(
        'db'        => 'itemLocation',
        'dt'        => 2,
        'formatter' => function( $d, $row ) {
            return "<model-viewer src='Models/$d' camera-controls alt='A 3D model'></model-viewer>";
        }
    ),
    array(
        'db'        => 'usdz',
        'dt'        => 3,
        'formatter' => function( $d, $row ) {
            return "<a href='iosModels/$d'>$d</a>";
        }
    ),
    array(
        'db'        => 'title',
        'dt'        => 4,
        'formatter' => function( $d, $row ) {
            return "$d <a href='#' data-toggle='modal' data-target='#EditNameModal' class='btn btn-success btn-circle btn-sm edit' data-id ='$row[1]' data-targetname ='$d'><i class='fa fa-pencil-alt'></i></a>";
        }
    ), 
    array( 'db' => 'views',     'dt' => 5 ),    
    array(
        'db'        => 'id',
        'dt'        => 6,
        'formatter' => function( $d, $row ) {
            return "<a href='viewAR.php?id=$row[1]' class='text-primary' target='_blank'><i class='fa fa-eye'></i></a> | 
				    <a href='ar_edit.php?id=$row[1]' class='text-success'><i class='fa fa-pencil-alt'></i></a> | 
					<a class='text-danger delete' data-toggle='modal' data-target='#DeleteModal' data-id ='$row[1]' data-arurl ='$row[2]' data-usdz ='$row[3]' data-qrcode ='$row[0]'><i class='fa fa-trash'></i></a>";
        }
    ), 
);
 
// SQL server connection information
include 'db/connection.php';
 
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
 
require( '../DataTables-master/examples/server_side/scripts/ssp.class.php' );
if($uid == 1){
    echo json_encode(
        SSP::simple( $_GET, $sql_details, $table, $primaryKey, $columns )
    );
}else{
    echo json_encode(
        SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns, null, "userId = '$uid'" )
    );
}